From 13086836f03b1b22bce5420344e13e0dbb3d032d Mon Sep 17 00:00:00 2001
From: unknown <santosh.2@iitj.ac.in>
Date: Fri, 29 Jul 2022 02:47:28 +0530
Subject: [PATCH] Import css/js files of bootstrap-table in the base.html file
 | Add profile icon and dynamic text for login nav option

---
 django/archives/mailarchives/templates/base.html | 13 ++++++++++++-
 1 file changed, 12 insertions(+), 1 deletion(-)

diff --git a/django/archives/mailarchives/templates/base.html b/django/archives/mailarchives/templates/base.html
index 23d137e..d22f327 100644
--- a/django/archives/mailarchives/templates/base.html
+++ b/django/archives/mailarchives/templates/base.html
@@ -17,6 +17,7 @@
   <meta name="copyright" content="The PostgreSQL Global Development Group" />
   <link href="/media-archives/css/fontawesome.css?{{gitrev}}" rel="stylesheet">
   <link rel="stylesheet" href="/media-archives/css/bootstrap.min.css?{{gitrev}}">
+  <link rel="stylesheet" href="/media-archives/css/bootstrap-table.min.css?{{gitrev}}">
   <link rel="shortcut icon" href="/favicon.ico" />
   {%if newstags %}
     {%comment%}Default RSS links are only shown on pages that have newstags set{%endcomment%}
@@ -51,7 +52,16 @@
                 <li class="nav-item p-2"><a href="/developer/" title="Developers">Developers</a></li>
                 <li class="nav-item p-2"><a href="/support/" title="Support">Support</a></li>
                 <li class="nav-item p-2"><a href="/about/donate/" title="Donate">Donate</a></li>
-                <li class="nav-item p-2"><a href="/account/" title="Your account">Your account</a></li>
+                <!-- 
+                  The below snippet displays dynamic text, either login or username, along with a profile icon.
+                  If a user is logged in, show the username
+                  Else display text login 
+                -->
+                {% if user.is_authenticated %}
+                  <li class="nav-item p-2"><a href="/account/" title="Your account"><i class="fa fa-user-circle" aria-hidden="true"></i> {{ user.get_username }}</a></li>
+                {% else %}
+                  <li class="nav-item p-2"><a href="/account/" title="Your account"><i class="fa fa-user-circle" aria-hidden="true"></i> Login</a></li>
+                {% endif %}
               </ul>
              <form role="search" method="get" action="{{ PGWEB_ADDRESS }}/search/">
                <div class="input-group">
@@ -103,6 +113,7 @@
     <script src="/media-archives/js/jquery-3.2.1.slim.min.js?{{gitrev}}"></script>
     <script src="/media-archives/js/popper.min.js?{{gitrev}}"></script>
     <script src="/media-archives/js/bootstrap.min.js?{{gitrev}}"></script>
+    <script src="/media-archives/js/bootstrap-table.min.js?{{gitrev}}"></script>
     <script src="/media-archives/js/main.js?{{gitrev}}"></script>
   </body>
 </html>
-- 
2.26.2.windows.1

